View Issue Details

IDProjectCategoryView StatusLast Update
14522Bug reportsPrint Viewpublic2019-04-30 09:11
ReporterDeusdeorum Assigned Todominikvitt 
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Fixed in Version3.15.x 
Summary14522: print answers HTML view not translating/getting the proper text for multiple choice with comment
Description

Import the attached survey and write something in the other field for the list question in second page. Then press "print answers" and take a look at the HTML generated. It will always show "other (other)".

https://snag.gy/t6bkE3.jpg

TagsNo tags attached.
Complete LimeSurvey version number (& build) 3.15.8
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionmysqlnd 5.0.12-dev latest DB for LS
Server OS (if known)
Webserver software & version (if known)
PHP Version 7.0.27-0+deb9u1

Relationships

related to 14521 closeddominikvitt print answers HTML view not displaying "other" for list question 

Activities

Deusdeorum

Deusdeorum

2019-02-12 15:08

reporter  

dominikvitt

dominikvitt

2019-02-18 15:46

developer   ~50609

https://github.com/LimeSurvey/LimeSurvey/commit/4b62e2293010e5ecaa14a4a90c92d9a4eb87a639

dominikvitt

dominikvitt

2019-02-20 17:22

developer   ~50656

Custom "Other" label is also taken in account.
https://github.com/LimeSurvey/LimeSurvey/commit/547b615aeb2c526018aa0d9adaa9f806b3afa234

Issue History

Date Modified Username Field Change
2019-02-12 15:08 Deusdeorum New Issue
2019-02-12 15:08 Deusdeorum File Added: limesurvey_survey_431115.lss
2019-02-12 16:25 cdorin Relationship added related to 14521
2019-02-12 16:25 cdorin Assigned To => dominikvitt
2019-02-12 16:25 cdorin Priority none => normal
2019-02-12 16:25 cdorin Status new => assigned
2019-02-12 16:25 cdorin Description Updated View Revisions
2019-02-18 15:46 dominikvitt Status assigned => resolved
2019-02-18 15:46 dominikvitt Resolution open => fixed
2019-02-18 15:46 dominikvitt Fixed in Version => 3.15.x
2019-02-18 15:46 dominikvitt Note Added: 50609
2019-02-20 17:22 dominikvitt Note Added: 50656
2019-04-30 09:11 c_schmitz Status resolved => closed